Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::Current Class Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::Current:

[legend]
Collaboration diagram for PortableInterceptor::Current:

[legend]
List of all members.

## Public Types
typedef Current_ptr | _ptr_type
typedef Current_var | _var_type
## Public Methods
virtual CORBA::Any * | get_slot (PortableInterceptor::SlotId id ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::InvalidSlot )
virtual void | set_slot (PortableInterceptor::SlotId id, const CORBA::Any &data ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::InvalidSlot )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
Current_ptr | _duplicate (Current_ptr obj)
Current_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
Current_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Current_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Protected Methods
| Current (void)
virtual | ~Current (void)
## Private Methods
| Current (const Current &)
void | operator= (const Current &)

## Member Typedef Documentation

typedef Current_ptr PortableInterceptor::Current::_ptr_type

| Reimplemented from CORBA::Current.

typedef Current_var PortableInterceptor::Current::_var_type

| Reimplemented from CORBA::Current.

## Constructor & Destructor Documentation

PortableInterceptor::Current::Current | ( | void |  | ) | `[protected]`

| Reimplemented from CORBA::Current.

PortableInterceptor::Current::~Current | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from CORBA::Current.

PortableInterceptor::Current::Current | ( | const Current & |  | ) | `[private]`

| Reimplemented from CORBA::Current.

## Member Function Documentation

PortableInterceptor::Current_ptr PortableInterceptor::Current::_duplicate | ( | Current_ptr | obj | ) | `[static]`

| Reimplemented from CORBA::Current.

const char * PortableInterceptor::Current::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Current.

virtual CORBA::Boolean PortableInterceptor::Current::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Current.

Current_ptr PortableInterceptor::Current::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from CORBA::Current.

Current_ptr PortableInterceptor::Current::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Current.

void PortableInterceptor::Current::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA::Current.

Current_ptr PortableInterceptor::Current::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Current.

virtual CORBA::Any* PortableInterceptor::Current::get_slot | ( | PortableInterceptor::SlotId id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::InvalidSlot )`[pure virtual]`

| Implemented in TAO_PICurrent.

CORBA::Boolean PortableInterceptor::Current::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from CORBA::Current.

void PortableInterceptor::Current::operator= | ( | const Current & |  | ) | `[private]`

| Reimplemented from CORBA::Current.

virtual void PortableInterceptor::Current::set_slot | ( | PortableInterceptor::SlotId | id,
|  | const CORBA::Any &data | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableInterceptor::InvalidSlot )`[pure virtual]`

| Implemented in TAO_PICurrent.

The documentation for this class was generated from the following files:

- PortableInterceptorC.h
- PortableInterceptorC.cpp